"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const cloneForQuery = (fsDocument, createMockFirestoreDocument, newFilter) => {
  const queryClone = createMockFirestoreDocument(fsDocument.id, fsDocument.parent, {
    isCollection: fsDocument.isCollection,
    exists: fsDocument.exists
  });
  queryClone.children = fsDocument.children;
  queryClone.documentData = fsDocument.documentData;
  queryClone.filters = [...(fsDocument.filters || []), newFilter];
  return queryClone;
};

var _default = cloneForQuery;
exports.default = _default;