"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _converters = require("../../converters");

var _cloneForSnapshot = _interopRequireDefault(require("../cloneForSnapshot"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const get = (fsDocument, createMockFirestoreDocument) => async () => {
  const snapClone = (0, _cloneForSnapshot.default)(fsDocument, createMockFirestoreDocument);
  const snap = fsDocument.isCollection ? (0, _converters.convertToQuerySnap)(snapClone) : (0, _converters.convertToDocumentSnap)(snapClone);
  return Promise.resolve(snap);
};

var _default = get;
exports.default = _default;