"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _fp = require("lodash/fp");

const firestoreMerge = (obj, merge) => {
  const newObj = { ...obj,
    ...merge
  };

  _fp.forEach.convert({
    cap: false
  })((value, key) => {
    if ((0, _fp.isObject)(value) && !(0, _fp.isArray)(value)) {
      newObj[key] = firestoreMerge((obj || {})[key] || {}, newObj[key]);
    }
  }, newObj);

  return newObj;
};

var _default = firestoreMerge;
exports.default = _default;