"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _flow = _interopRequireDefault(require("lodash/fp/flow"));

var _split = _interopRequireDefault(require("lodash/fp/split"));

var _replace = _interopRequireDefault(require("lodash/fp/replace"));

var _join = _interopRequireDefault(require("lodash/fp/join"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const splitNextDocRef = ref => {
  const [refName, ...remainingRef] = (0, _flow.default)((0, _replace.default)(/^\/+/, ''), (0, _split.default)('/'))(ref);
  return {
    refName,
    remainingRef: (0, _join.default)('/')(remainingRef)
  };
};

var _default = splitNextDocRef;
exports.default = _default;